Page MenuHomePhabricator

Deploy the new Vue.js search experience
Closed, ResolvedPublic5 Estimated Story Points

Description

Background

This task encompasses deploying the configuration to enable the new search experience on the test wikis as well as as a user preference to users opted out of legacy mode.

Pre-launch checklist

Acceptance criteria

Deployment timeline

Note: we will not be deploying the new search experience to Commons.

  • Stage 1: deploy to all logged-in users (note: this will include all users that have explicitly opted into legacy mode
  • Stage 2: deploy to first set of test wikis (group1) and begin A/B test of old search widget in new location vs new search widget in new location
  • French Wiktionary (frwiktionary, group 1) (config for search result: image, no description)
  • Hebrew Wikipedia (hewiki, group 1)
  • Portuguese Wikiversity (ptwikiversity, group 1)
  • office wiki (config for search result: no image, no description)
  • Stage 3: deploy to second set of test wikis (group 2) and begin A/B test of old search widget in new location vs new search widget in new location
  • French Wikipedia (frwiki, group 2)
  • Basque Wikipedia (euwiki, group 2)
  • Persian Wikipedia (fawiki, group 2)
  • anonymous users on hewiki, frwiktionary, ptwikiversity
  • remove from Wikimedia Commons
NOTE: prior to stage 4 deployment, we will coordinate with the Traffic team to check if we can turn off the cache for these wikis as done during previous deployments.

Open questions

  • What configs do we want to flip on and when? This is kind of like the "ultimate deploy task." Do we need intermediate deploys for logged-in users only and other configs? For example, a specific configuration may be needed for a length of time to collect instrumentation and performance data. Is it just the config added in T257706?

Developer notes

To enable the new search in modern Vector after merging feat/search branch into master you'll need to backport the following config change:

$wgVectorUseWvuiSearch = true;

QA steps

Check key presses

Resize the browser window so that its height is 400px. Run a search that provides enough search results that the bottom search result is not visible. check up and down arrows allow you to jump between all the search result items. Context T256042#6431695

  • Spot-check for visual regressions as a logged out user on frwiki, fawiki, euwiki, frwiktionary, hewiki, ptwikiversity

References

QA Results - Prod

ACStatusDetails
1T249297#6896525
2T249297#6896525

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolvedovasileva
ResolvedVolker_E
Resolvedphuedx
Resolved eprodromou
ResolvedEvanProdromou
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
ResolvedPeter.ovchyn
Resolved eprodromou
ResolvedPeter.ovchyn
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedholger.knust
Resolvedholger.knust
Resolvedholger.knust
OpenNone
OpenNone
OpenNone
ResolvedSpikeovasileva
Resolvedphuedx
ResolvedJdrewniak
Resolvedalexhollender
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdrewniak
ResolvedJdrewniak
ResolvedNiedzielski
ResolvedMNeisler
ResolvedMNeisler
Resolvedovasileva
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
Resolvednray
OpenNone
OpenNone
OpenNone
OpenMNeisler
Resolvedovasileva
ResolvedEdtadros
DeclinedNone
DeclinedNone
ResolvedJdrewniak
ResolvedJdrewniak
Opennnikkhoui
Resolvednnikkhoui
ResolvedJdlrobson
Duplicateovasileva
ResolvedMNeisler
ResolvedVolker_E
Resolvedphuedx
Resolvedovasileva
Resolvedovasileva
Resolvedsbassett
Resolvedjlinehan
Openjlinehan
ResolvedNone
Resolvedjlinehan
Resolvedjlinehan
ResolvedOttomata
ResolvedOttomata
ResolvedSpikeJdlrobson
Resolvedjlinehan
Openjlinehan
Resolvedjlinehan
Resolvedjlinehan
Resolvedjlinehan
Resolvedjlinehan
ResolvedJdlrobson
Resolvedjlinehan
Resolvedjlinehan
Opendr0ptp4kt
Resolvedcolewhite
DeclinedNone
ResolvedNone
Resolvedjlinehan
OpenNone
OpenNone
Openovasileva
Resolvedphuedx
Openalexhollender
Resolvedovasileva
DuplicateNone
Resolvedalexhollender

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
nray updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)

Change 666425 had a related patch set uploaded (by Nray; owner: Nray):
[operations/mediawiki-config@master] [stage 1] Enable WVUI search by default except to pilot wikis

https://gerrit.wikimedia.org/r/666425

Change 666425 merged by jenkins-bot:
[operations/mediawiki-config@master] [stage 1] Enable WVUI search by default to logged-in modern Vector users except on pilot wikis

https://gerrit.wikimedia.org/r/666425

Mentioned in SAL (#wikimedia-operations) [2021-02-25T12:16:34Z] <phuedx@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:666425|[stage 1] Enable WVUI search by default to logged-in modern Vector users except on pilot wikis (T249297)]] (duration: 01m 31s)

Change 667562 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[operations/mediawiki-config@master] vector: Stage 2 of WVUI search treatment A/B test

https://gerrit.wikimedia.org/r/667562

Change 667562 merged by jenkins-bot:
[operations/mediawiki-config@master] vector: Stage 2 of WVUI search treatment A/B test

https://gerrit.wikimedia.org/r/667562

Change 667399 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Revert "vector: Stage 2 of WVUI search treatment A/B test"

https://gerrit.wikimedia.org/r/667399

Change 667399 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "vector: Stage 2 of WVUI search treatment A/B test"

https://gerrit.wikimedia.org/r/667399

Change 667680 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[operations/mediawiki-config@master] Revert "Revert "vector: Stage 2 of WVUI search treatment A/B test""

https://gerrit.wikimedia.org/r/667680

Change 667680 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Revert "vector: Stage 2 of WVUI search treatment A/B test""

https://gerrit.wikimedia.org/r/667680

Mentioned in SAL (#wikimedia-operations) [2021-03-01T19:34:14Z] <phuedx@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:667680|Revert "Revert "vector: Stage 2 of WVUI search treatment A/B test"" (T249297)]] (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:21:16Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: REDEPLOY: 1edcbb53b2f18105d132c839cfe12cccb97031b3: vector: Stage 2 of WVUI search treatment A/B test (T249297) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:22:54Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: REDEPLOY: Revert: vector: Stage 2 of WVUI search treatment A/B test (T249297) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:31:08Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: REDEPLOY: 21cb6f5b32920c33611f26a0f3c97247f6f496f8: Revert "Revert "vector: Stage 2 of WVUI search treatment A/B test"" (T249297) (duration: 00m 56s)

Change 667836 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[operations/mediawiki-config@master] vector: Stage 3 of WVUI search treatment A/B test

https://gerrit.wikimedia.org/r/667836

Change 667836 merged by jenkins-bot:
[operations/mediawiki-config@master] vector: Stage 3 of WVUI search treatment A/B test

https://gerrit.wikimedia.org/r/667836

Mentioned in SAL (#wikimedia-operations) [2021-03-02T12:23:43Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 29952b404b3fe9c235da86df0ffb86b725845473: vector: Stage 3 of WVUI search treatment A/B test (T249297) (duration: 01m 08s)

phuedx removed phuedx as the assignee of this task.Mar 2 2021, 2:18 PM
phuedx updated the task description. (Show Details)
phuedx added a subscriber: phuedx.
Edtadros added a subscriber: Edtadros.

Test Result - Prod

Status: ✅ PASS
Environment: frwiki, fawiki, euwiki, frwiktionary, hewiki, ptwikiversity
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

✅ AC1: Check key presses
Resize the browser window so that its height is 400px. Run a search that provides enough search results that the bottom search result is not visible. check up and down arrows allow you to jump between all the search result items.

✅ AC2: Spot-check for visual regressions as a logged out user on frwiki, fawiki, euwiki, frwiktionary, hewiki, ptwikiversity

P/FWikiVisual Regressions
frwiki
At low widths the Search button text extend beyond the button. This is not specific to French.
fawiki
euwiki
frwiktionary
hewiki
ptwikiversity
ovasileva updated the task description. (Show Details)

Deployment is completed! Resolving this task